Bug Hunting Session
Bug 82317 - Shortcut for Pasting Unformatted Text Within Cells
Summary: Shortcut for Pasting Unformatted Text Within Cells
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-08 03:41 UTC by Tom Colley
Modified: 2018-08-12 23:36 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Colley 2014-08-08 03:41:01 UTC
A shortcut for pasting unformatted text into Writer already exists - Ctrl + Shift + Alt + V. It's very convenient. Can a shortcut with the same functionality be incorporated into Calc for use with within-cell editing as well as whole-cell pasting?
Comment 1 Joel Madero 2014-08-08 04:59:06 UTC
Just tested with 4.3.0.4 on Bodhi Linux 2x and I'm able to do what I think you're trying to do.

Can you provide reproducible steps that aren't working for you as well as your OS and version of LibreOffice.

Marking as NEEDINFO - once you provide repro steps and the additional info mark as UNCONFIRMED. Thanks
Comment 2 QA Administrators 2015-04-01 14:47:17 UTC Comment hidden (obsolete)
Comment 3 Tom Colley 2015-04-02 00:13:59 UTC
(In reply to Joel Madero from comment #1)
> Just tested with 4.3.0.4 on Bodhi Linux 2x and I'm able to do what I think
> you're trying to do.
> 
> Can you provide reproducible steps that aren't working for you as well as
> your OS and version of LibreOffice.
> 
> Marking as NEEDINFO - once you provide repro steps and the additional info
> mark as UNCONFIRMED. Thanks

Thanks Joel. Sorry for the delay. These are the steps to reproduce:
- Open a new document in Writer
- Type a short sentence. Format one or two words in the sentence differently. e.g. make bold, change font size
- Select sentence and copy.
- Add some extra lines.
- Press Ctrl+V to paste. Result: sentence is pasted WITH the formatting changes.
- Press Ctrl+Shift+Alt+V. Result: sentence is pasted WITHOUT the formatting changes.

- Open a new Calc spreadsheet.
- Press Ctrl+V. Result: sentence is pasted WITH the formatting changes.
- Press Enter to go to the next row.
- Press Ctrl+Shift+Alt+V. Result: the letter “V” is pasted, not the unformatted text.

Regards, Tom
Comment 4 raal 2015-04-02 06:56:35 UTC
(In reply to Tom Colley from comment #3)

Hello Tom,
please could you test with 4.4.1.2? I tried on windows and have little different results, but bad results.

> - Open a new document in Writer
> - Press Ctrl+Shift+Alt+V. Result: sentence is pasted WITHOUT the formatting
> changes.

My result: sentence is pasted WITH the formatting changes.

> 
> - Open a new Calc spreadsheet.
> - Press Ctrl+Shift+Alt+V. Result: the letter “V” is pasted, not the
> unformatted text.
> 

My result: nothing pasted.

Thank you.
Comment 5 Tom Colley 2015-04-03 01:38:27 UTC
The steps to reproduce, and related results, as shown in Comment 3 by me were done with:
--- Ubuntu 14.04LTS (current long term stable version of Ubuntu) 
--- LibreOffice 4.2.7.2. (latest version of LibreOffice compatible with that version of Ubuntu).
Comment 6 QA Administrators 2015-04-03 02:00:39 UTC
That is a false statement. LibreOffice 4.4.2.1 is perfectly compatible with Ubuntu 14.04. Just install the ppa - https://launchpad.net/~libreoffice/+archive/ubuntu/ppa

If you're unwilling to do this then bug goes to WORKSFORME. 4.2 is EOL and will no longer receive bug fixes.

Closing as WFM - if you test 4.3 or 4.4 and can reproduce, set the bug to UNCONFIRMED. Thanks
Comment 7 Tom Colley 2015-04-06 07:39:23 UTC
I have just tested for this bug with LibreOffice 4.4.2.2 running on Ubuntu 14.04LTS. The bug was reproduced using the steps in Comment 3 with the same results. I'm marking this bug as Unconfirmed as per administrator's request.
Comment 8 Buovjaga 2015-04-10 15:42:17 UTC
My result on Linux is like described in comment 3.

On Windows, ctrl-shift-alt-v does work ok in Writer (contrary to raal's experience).
In Calc, nothing happens (same as raal's experience).

Set to NEW.

Win 7 Pro 64-bit, Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Locale: fi_FI

Ubuntu 14.10 64-bit 
Version: 4.4.2.2
Build ID: 40m0(Build:2)
Locale: en_US
Comment 9 Markus Grob 2018-08-09 21:03:29 UTC
Maybe it was fixed in one version. It works for me in LO 6.1.0.2 on Win 10.
Tested with draw und writer as source and calc as source. Worked after clicking in a cell for paste and only by choosing a cell. In both cases, the copied text was inserted as unformated text.
Comment 10 Buovjaga 2018-08-10 11:06:37 UTC
Confirmed working now on Linux as well.

Arch Linux 64-bit
Version: 6.0.6.2
Build ID: 6.0.6-2
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Comment 11 Tom Colley 2018-08-12 23:36:28 UTC
I just tested as per Comment 3 using:

- Linux Ubuntu 18.04
- LibreOffice 6.06.2

In Calc, I still get the same result when I press Ctrl+Shift+Alt+V: the letter “V” is pasted, not the unformatted text.

Pressing Ctrl+Shift+V provides a dialog box with the standard "Unformatted text" option. This delivers the required functionality in a two-step process which is fine. We've all got "bigger fish to fry", so leaving this as "Resolved - WorksForMe" seems appropriate.